package com.hwrj.cloud.portal.mapper;

import com.hwrj.cloud.portal.model.UmsMemberOriginProduct;
import com.hwrj.cloud.portal.model.UmsMemberOriginProductExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UmsMemberOriginProductMapper {
    long countByExample(UmsMemberOriginProductExample example);

    int deleteByExample(UmsMemberOriginProductExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsMemberOriginProduct record);

    int insertSelective(UmsMemberOriginProduct record);

    List<UmsMemberOriginProduct> selectByExampleWithBLOBs(UmsMemberOriginProductExample example);

    List<UmsMemberOriginProduct> selectByExample(UmsMemberOriginProductExample example);

    UmsMemberOriginProduct selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsMemberOriginProduct record, @Param("example") UmsMemberOriginProductExample example);

    int updateByExampleWithBLOBs(@Param("record") UmsMemberOriginProduct record, @Param("example") UmsMemberOriginProductExample example);

    int updateByExample(@Param("record") UmsMemberOriginProduct record, @Param("example") UmsMemberOriginProductExample example);

    int updateByPrimaryKeySelective(UmsMemberOriginProduct record);

    int updateByPrimaryKeyWithBLOBs(UmsMemberOriginProduct record);

    int updateByPrimaryKey(UmsMemberOriginProduct record);
}